emacs-elpa-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[nongnu] elpa/bash-completion 31bc1c1c21 161/313: Compile bash-completio


From: ELPA Syncer
Subject: [nongnu] elpa/bash-completion 31bc1c1c21 161/313: Compile bash-completion.el before running tests.
Date: Sat, 3 Dec 2022 10:59:26 -0500 (EST)

branch: elpa/bash-completion
commit 31bc1c1c21691668c6cc16a46361490d5bec303a
Author: Stephane Zermatten <szermatt@gmx.net>
Commit: Stephane Zermatten <szermatt@gmx.net>

    Compile bash-completion.el before running tests.
    
    Also fix the definition of bash-completion-message-delay: add a group
    and a type. This fixes a byte-compilation error under emacs 22.
    
    This will help avoids problems such as the one with issue #21 and the
    ones fixed by pull request #25
---
 bash-completion.el |  4 +++-
 run_tests.sh       | 15 ++++++++++++---
 2 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/bash-completion.el b/bash-completion.el
index 63955c81b5..7de8bb226a 100644
--- a/bash-completion.el
+++ b/bash-completion.el
@@ -172,7 +172,9 @@ on the minibuffer to make it clear what's happening. Set to 
nil
 to never display any such message. 0 to always display it.
 
 Only relevant when using bash completion in a shell, through
-`bash-completion-dynamic-complete'.")
+`bash-completion-dynamic-complete'."
+  :type '(float)
+  :group 'bash-completion)
 
 (defcustom bash-completion-initial-timeout 30
   "Timeout value to apply when talking to bash for the first time.
diff --git a/run_tests.sh b/run_tests.sh
index c82639e248..38de19fb33 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -1,11 +1,20 @@
 #!/bin/sh
 #
-# Runs test using the emacs binary specified by ${EMACSCMD}, which
-# defaults to emacs, and the bash binary specified by ${BASHCMD},
-# which defaults to bash.
+# Compiles and runs test using the emacs binary specified by
+# ${EMACSCMD}, which defaults to emacs, and the bash binary specified
+# by ${BASHCMD}, which defaults to bash.
 #
 rootdir="$(dirname "$0")"
 testdir="${rootdir}/test"
+
+"${EMACSCMD:-emacs}" \
+     -Q \
+     -batch \
+     -eval "(setq byte-compile-error-on-warn t)" \
+     -L "${rootdir}" \
+     -f batch-byte-compile \
+     "${rootdir}/bash-completion.el" \
+    || exit 1 
 exec "${EMACSCMD:-emacs}" \
     -Q \
     -batch \



reply via email to

[Prev in Thread] Current Thread [Next in Thread]